/*
==================================

电子工程师学堂
http://www.eeschool.org

官方淘宝店铺
http://i-board.taobao.com

洛阳银杏科技有限公司
LUOYANG GINGKO TECHNOLOGY Co.,Ltd.

=================================
stm8核心板 演示程序 ( STVD + COSMIC 库函数版 )

现象：板载 LED 闪烁
作者：YangShuai
日期：2013-11-30
================================
*/


#include "stm8s.h"
#include "stm8s_clk.h"
#include "stm8s_gpio.h"

int main(void) 
{
  long int i;
  CLK_HSIPrescalerConfig(CLK_PRESCALER_HSIDIV1);
  
  GPIO_Init(GPIOD,GPIO_PIN_4,GPIO_MODE_OUT_PP_LOW_FAST);
  while(1) 
  {
    GPIO_WriteLow(GPIOD,GPIO_PIN_4);
    for(i = 0;i < 100000;i++);
    GPIO_WriteHigh(GPIOD,GPIO_PIN_4);
    for(i = 0;i < 100000;i++);
  }
}